| Home | Libraries | People | FAQ | More

##### basic_deadline_timer::basic_deadline_timer (1 of 3 overloads)

Constructor.

    basic_deadline_timer(
        boost::asio::io_service & io_service);

This constructor creates a timer without setting an expiry time. The expires_at() or expires_from_now() functions must be called to set an expiry time before the timer can be waited on.

###### Parameters

io_service

  The io_service object that the timer will use to dispatch handlers for any asynchronous operations performed on the timer.